/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.MotivoCancelacion;
import java.util.List;

/**
 *
 * @author Rafius
 */
public interface MotivoCancelacionDAO extends GenericDAO<MotivoCancelacion, Integer> {

    public List<MotivoCancelacion> buscar(String descmotivo, String tipomotivo);

    public List<MotivoCancelacion> obtenerTodosTipoMotivoB();

    public List<MotivoCancelacion> obtenerTodosEspecificos(Integer[] motivos);
    
    public MotivoCancelacion findByCveSistema(String cveSistema) ;
}
